Add Multi-Link Invitees (By Multi-Link ID)

Request

POST

https://api.sourcecraft.tech/invite-multilinks/id:{link_id}/invitees

Path parameters

Name

Description

link_id

Type: string

Example: ``

Body

application/json
{
  "invitees": [
    {
      "email": "example",
      "user_id": "example"
    }
  ]
}

Name

Description

invitees

Type: MultiLinkInvitee[]

Invitees to add to the allow-list. Duplicates are ignored.

Example
[
  {
    "email": "example",
    "user_id": "example"
  }
]

MultiLinkInvitee

MultiLinkInvitee identifies a user allowed to accept a restricted multi-link.
Exactly one of the fields must be specified.

Name

Description

email

Type: string

Example: example

user_id

Type: string

Example: example

Example
{
  "email": "example",
  "user_id": "example"
}

Responses

204 No Content

A successful response.

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": null
}

Name

Description

details

Type: unknown

Example: null

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example